View Issue Details

IDProjectCategoryView StatusLast Update
0020865mantisbtbugtrackerpublic2016-06-12 00:42
ReporterdregadAssigned Todregad 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-beta.1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020865: 'Content Encoding Error' when errors occur before compress handler is started
Description

If a run-time error is triggered while initializing the Core (e.g. a PHP deprecated warning, ), the browser displays a 'Content Encoding Error' instead of showing the actual error, which is confusing and makes troubleshooting more difficult than it should be.

I noticed this while testing the behavior described in 0020864 on 1.3.x branch.

Steps To Reproduce

To reproduce the error add some code that triggers a PHP notice or some other error, e.g.

$t = test;
in user_pref_api.php

TagsNo tags attached.

Relationships

related to 0020864 closeddregad "user_pref_get_language()" not defined 
has duplicate 0020500 closedatrol Installation fails in PHP 7 environment 

Activities

dregad

dregad

2016-04-30 12:34

developer   ~0053043

Proposed solution is to detect whether there has been any output so far, and not start the compress handler in this case.

See PR https://github.com/mantisbt/mantisbt/pull/771

Related Changesets

MantisBT: master 046e878d

2016-04-30 12:28:54

dregad

Details Diff
Do not enable compress handler if errors occured

Prevents 'Content Encoding Error', shows the actual output instead.

Fixes 0020865
mod - core/compress_api.php Diff File

Issue History

Date Modified Username Field Change
2016-04-30 12:26 dregad New Issue
2016-04-30 12:26 dregad Status new => assigned
2016-04-30 12:26 dregad Assigned To => dregad
2016-04-30 12:34 dregad Note Added: 0053043
2016-04-30 12:35 dregad Steps to Reproduce Updated View Revisions
2016-04-30 12:41 dregad Relationship added related to 0020864
2016-05-01 04:37 dregad Relationship added has duplicate 0020500
2016-05-09 11:41 dregad Changeset attached => MantisBT master 046e878d
2016-05-09 11:41 dregad Status assigned => resolved
2016-05-09 11:41 dregad Resolution open => fixed
2016-05-09 11:41 dregad Fixed in Version => 1.3.0-rc.2
2016-06-12 00:42 vboctor Status resolved => closed